<?php
$xean=trim($_GET['ean13']);

if(strlen($xean)!=12 and strlen($xean)!=13){die('EAN13 INVALIDO');}

include('php_gene1.php');
if(strlen($xean)==13)
{
  $dchek=val_ean($xean,true);
  if($dchek!=1){die('EAN13 INVALIDO');}
} 
if(strlen($xean)==12){$xean.=val_ean($xean);} 

include('celec0.php'); 
include('reset0.php'); 
// $cias='demo.cele.vare';
$xean12=substr($xean,0,12);
$item_detalle='';
$item_fecha="2000-01-01";
$xjson ='';

if($xempr==''){$empr_array=explode('.',$cias);}

for($iempr=0; $iempr<count($empr_array); $iempr++)
{
  $link_vcrx='';
  $_SESSION['link_vcrx']='' ;   
  $empr_codi=substr(trim($empr_array[$iempr]),0,4);
	chdir('../'.$empr_codi.'/_lib');
	include('../_cfg/config.php');
  $sql_item ='select * from comp12 ';
  $sql_item.='where substring(itemce,1,12)="'.$xean12.'" ';
  $sql_item.='order by fecha desc limit 1';
  $res_item=mysql_query($sql_item,$link_vcrx);
  $numrows=@mysql_num_rows($res_item);
  if($numrows!=0)
  {
    $item_deta=mysql_result($res_item,0,'detalle');
    $item_deta=trim(substr($item_deta,0,strpos($item_deta,'/'.$xean12)));
    
    if(strlen($item_deta)>strlen($item_detalle))
    {$item_detalle=$item_deta;}
    
    if(mysql_result($res_item,0,'fecha')>$item_fecha)
    {
      $item_puni=mysql_result($res_item,0,'puni');
      $item_fecha=mysql_result($res_item,0,'fecha');
    }
  }
	chdir('../');
//   if($item_detalle!=''){break;}
}

$empr_codi='demo';
	chdir('../'.$empr_codi.'/_lib');

if($item_detalle=='')
{
  $item_descri=get_ean0($xean); 
  $item_detalle=$item_descri;
}


if($item_detalle=='')
{
  $item_descri=get_eanvcrx($xean,1); 
  $item_detalle=$item_descri[2];
  $item_fecha=$item_descri[3];
  $item_puni=$item_descri[4];
}





$xjson.='{';
$xjson.='"codigo":"'.$xean.'"';
$xjson.=',"descripcion":"'.$item_detalle.'"';
$xjson.=',"fecha":"'.$item_fecha.'"';
$xjson.=',"unitario":"'.$item_puni.'"';
$xjson.='}';

echo $xjson;

?>